---
apiVersion: v1

# The repository name in registry1, excluding /ironbank/
name: "google/golang/golang-1.18"

# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dso.mil
tags:
- "1.18.1"
- "1.18"
- "latest"

# Build args passed to Dockerfile ARGs
args:
  BASE_IMAGE: "redhat/ubi/ubi8"
  BASE_TAG: "8.5"

# Docker image labels
labels:
  org.opencontainers.image.title: "golang"
  ## Human-readable description of the software packaged in the image
  org.opencontainers.image.description: "Go is an open source programming language that makes it easy to build simple, reliable, and efficient software"
  ## License(s) under which contained software is distributed
  org.opencontainers.image.licenses: "The Go Authors"
  ## URL to find more information on the image
  org.opencontainers.image.url: "https://hub.docker.com/_/golang"
  ## Name of the distributing entity, organization or individual
  org.opencontainers.image.vendor: "Google"
  org.opencontainers.image.version: "1.18.1"
  ## Keywords to help with search (ex. "cicd,gitops,golang")
  mil.dso.ironbank.image.keywords: "golang,go,programming"
  ## This value can be "opensource" or "commercial"
  mil.dso.ironbank.image.type: "opensource"
  ## Product the image belongs to for grouping multiple images
  mil.dso.ironbank.product.name: "Go"

# List of resources to make available to the offline build context
resources:
- filename: golang.tar.gz
  url: https://go.dev/dl/go1.18.1.linux-amd64.tar.gz
  validation:
    type: sha256
    value: b3b815f47ababac13810fc6021eb73d65478e0b2db4b09d348eefad9581a2334

# List of project maintainers
maintainers:
- email: "ironbank@dsop.io"
  name: "Alozie Obuh"
  username: "obuh.alozie"
  cht_member: true
